VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Events
VisimBuilder.PhysControl Class Reference

List of all members.

## Public Member Functions
| PhysControl ()
delegate void | PhysControlDelegate ()
delegate void | PhysControlDelegateValue (float stepsize)
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Protected Attributes
bool | _running = false
## Properties
bool | Running`[get, set]`
float | SimulationTime`[get, set]`
float | StepTimeSize`[get, set]`
## Events
PhysControlDelegate | SimulationStarted
PhysControlDelegate | SimulationStopped
PhysControlDelegateValue | SimulationStep
PhysControlDelegate | SimulationReset
PhysControlDelegateValue | GravityChange

## Constructor & Destructor Documentation

VisimBuilder.PhysControl.PhysControl | ( |  | ) |

## Member Function Documentation

override void VisimBuilder.PhysControl.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

delegate void VisimBuilder.PhysControl.PhysControlDelegate | ( |  | ) |

delegate void VisimBuilder.PhysControl.PhysControlDelegateValue | ( | float | stepsize | ) |

## Member Data Documentation

bool VisimBuilder.PhysControl._running = false`[protected]`

## Property Documentation

bool VisimBuilder.PhysControl.Running`[get, set]`

float VisimBuilder.PhysControl.SimulationTime`[get, set]`

float VisimBuilder.PhysControl.StepTimeSize`[get, set]`

## Event Documentation

PhysControlDelegateValue VisimBuilder.PhysControl.GravityChange

PhysControlDelegate VisimBuilder.PhysControl.SimulationReset

PhysControlDelegate VisimBuilder.PhysControl.SimulationStarted

PhysControlDelegateValue VisimBuilder.PhysControl.SimulationStep

PhysControlDelegate VisimBuilder.PhysControl.SimulationStopped

The documentation for this class was generated from the following files:

- PhysControl.cs
- PhysControl.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events